﻿using System;
using System.Linq;
using System.Windows;

namespace BookSorting
{
    public class Books // Клас для списка книг
    {
        public string name { set; get; }
        public DateTime date { set; get; }
        public string publishing_house { set; get; }
        public string genre { set; get; }
        public double rating { set; get; }
    }
    public partial class MainWindow : Window
    {
        Books[] books = new Books[5];

        public MainWindow() 
        {
            InitializeComponent();
            Random rnd = new Random();
            for (int i = 0; i < 5; i++) // Заполнение списка книг
            {
                books[i] = new Books();
                books[i].name = "Книга" + (i + 1);
                books[i].date = new DateTime(2015, 7, 20, 18, 30, 1 + i);
                books[i].publishing_house = "Издательство" + (i + 1);
                books[i].genre = "Жанр" + rnd.Next(1, 3);
                books[i].rating = rnd.Next(1,10);
            }
            DG1.ItemsSource = books.ToList(); // Вывод списка
        }

        public Books[] Sorting(Books[] books) // Сортировка списка по жанру и рейтингу
        { return books.OrderByDescending(g => g.genre).ThenByDescending(r => r.rating).ToArray(); }

        private void Button_Click(object sender, RoutedEventArgs e)
        { DG2.ItemsSource = Sorting(books).ToList(); }
    }
}
