﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using BookSorting;
using System;

namespace UnitTestBookSorting
{
    [TestClass]
    public class UnitTest
    {
        [TestMethod]
        public void TestMethod()
        {
            Books[] books = new Books[5]; // Создание списка книг
            MainWindow mw = new MainWindow();
            Random rnd = new Random();
            for (int i = 0; i < 5; i++)
            {
                books[i] = new Books();
                books[i].name = "Книга" + (i + 1);
                books[i].date = new DateTime(2015, 7, 20, 18, 30, 1 + i);
                books[i].publishing_house = "Издательство" + (i + 1);
                books[i].genre = "Жанр" + rnd.Next(1, 3);
                books[i].rating = rnd.Next(1, 10);
            }

            Books[] books2 = mw.Sorting(books);
            Assert.AreNotEqual(books, books2); //Тест изменений
            
            for (int i = 0; i < 4; i++) //Тест убывания рейтинга
            {
                if (books2[i].genre == books2[i + 1].genre)
                { Assert.IsTrue(books2[i].rating >= books2[i + 1].rating); }
            }
        }
    }
}
